as.lisst {oce} | R Documentation

## Coerce Data Into a LISST Object

### Description

Coerce data into a lisst object If `data` contains fewer than 42 columns, an error is reported. If it contains more than 42 columns, only the first 42 are used. This is used by `read.lisst`, the documentation on which explains the meanings of the columns.

### Usage

    as.lisst(data, filename = "", year = 0, tz = "UTC", longitude = NA,
      latitude = NA)

### Arguments

`data` | A table (or matrix) containing 42 columns, as in a LISST data file.
`filename` | Name of file containing the data.
`year` | Year in which the first observation was made. This is necessary because LISST timestamps do not indicate the year of observation. The default value is odd enough to remind users to include this argument.
`tz` | Timezone of observations. This is necessary because LISST timestamps do not indicate the timezone.
`longitude` | Longitude of observation.
`latitude` | Latitude of observation.

### Value

An object of `lisst-class`.

### Author(s)

Dan Kelley

### See Also

Other things related to `lisst` data: `[[,lisst-method`, `[[<-,lisst-method`, `lisst-class`, `plot,lisst-method`, `read.lisst`, `summary,lisst-method`

[Package oce version 0.9-22 Index]